jueves, 1 de diciembre de 2011

Jasper Studio para Eclipse | iReport plugin for Eclipse



JasperReport es una excelente herramienta para hacer reportes utilizando el motor iReport, claro que uno podria hacer su reporte a mano, simplemente modificando un archivo xml.

Pero no es lo más eficiente y menos si uno está con los tiempos ajustados o recién está conociendo esta librería.

Si bien existe como programa stand-alone basando en la NB Platform, y como plugin para Netbeans, ahora tambien existe un plugin para aquellos que les gusta programar sobre Eclipse IDE, este se llama JasperStudio. Veamos como lo podemos instalar.


Vamos a suponer que ya tienen instalado Eclipse 3.5 a mas.
Y si no lo tienen vayan a http://eclipse.org/ y descarguen el IDE, de preferencia el que está dirigido para Java Developers.

  1. Vayan al menu Help o Ayuda, e elijan la Opcion Instalar Softwar o Install Software.
  2. En la ventana que se muestra elijan el boton Add o Agregar
     
  3. En la siguiente ventana en el cuadro de texto  Location o Ubicacion ingresar lo siguiente http://jaspersoft.sourceforge.net/updates/site.xml
  4. Una vez hecho esto se nos mostrará los paquetes de dicho repositorio.

     
  5. Seleccionamos todos los paquetes que se muestran y seguimos los pasos de instalación, damos Siguiente o Next, aceptamos el acuerdo de licencia y listo, se comenzará a descargar el paquete.

  6. Una vez terminada la descarga, se nos consultará si queremos proceder con la instalación, damos ok en esta ventana.


  7. Por ultimo reiniciamos Eclipse IDE
  8. Cuando generemos un Reporte veremos algo similar a:

9 comentarios:

  1. Explicación perfecta pero cuando habilito el modo JasperReport Nature me da este error:

    Errors occurred during the build.
    Errors running builder 'JasperReports Builder' on project 'miproyecto'.
    org/apache/log4j/Layout

    ¿Alguna idea?

    ResponderEliminar
  2. En el punto 3 la dirección no es correcta es http://jasperstudio.sourceforge.net/updates/site.xml en vez de http://jaspersoft.sourceforge.net/updates/site.xml

    ResponderEliminar
  3. En el punto 3 la dirección no es correcta es http://jasperstudio.sourceforge.net/updates/site.xml en vez de http://jaspersoft.sourceforge.net/updates/site.xml

    ResponderEliminar
  4. En el punto 3 no es http://jaspersoft.sourceforge.net/updates/site.xml si no http://jasperstudio.sourceforge.net/updates/site.xml

    ResponderEliminar
  5. disculpen alguien me podria ayudar como utilizarel public, es que tengo unos reportes y no se como abrirlos desde eclipse..
    muchasgracias

    ResponderEliminar
  6. hola acabo de instalar el plugin pero no se como trabajar con el alguien me podría colaborar ... o alguna pagina donde expliquen
    muchas gracias

    ResponderEliminar
  7. me da error la instalacion
    OK
    Cannot complete the install because one or more required items could not be found.
    Software currently installed: Jaspersoft Studio 1.3.0 (com.jaspersoft.studio.feature.feature.group 1.3.0)
    Missing requirement: Jaspersoft Studio Designer 1.3.0 (com.jaspersoft.studio 1.3.0) requires 'bundle org.eclipse.nebula.widgets.cdatetime 0.14.0' but it could not be found
    Cannot satisfy dependency:
    From: Jaspersoft Studio 1.3.0 (com.jaspersoft.studio.feature.feature.group 1.3.0)
    To: com.jaspersoft.studio [1.3.0]

    ResponderEliminar
    Respuestas
    1. Al parecer debes instalar esos paquetes, mira esto te puede dar una idea :

      http://www.eclipse.org/nebula/downloads.php

      Espero te sirva

      Eliminar
  8. hola ya instale
    http://www.eclipse.org/nebula/downloads.php
    pero ahora me dice que necesito otra paqueteria la cual no encuentro podrian ayudarme
    OK
    Cannot complete the install because one or more required items could not be found.
    Software currently installed: Jaspersoft Studio Expression Editor 1.3.1 (com.jaspersoft.studio.expressioneditor.feature.feature.group 1.3.1)
    Missing requirement: JasperReports Library and Tools 4.8.1 (net.sf.jasperreports 4.8.1) requires 'bundle org.apache.xalan 2.7.1' but it could not be found
    Cannot satisfy dependency:
    From: Jaspersoft Studio Designer 1.3.1 (com.jaspersoft.studio 1.3.1)
    To: bundle net.sf.jasperreports 4.8.1
    Cannot satisfy dependency:
    From: com.jaspersoft.studio.editor.jrexpressions 1.3.1 (com.jaspersoft.studio.editor.jrexpressions 1.3.1)
    To: bundle com.jaspersoft.studio 1.3.1
    Cannot satisfy dependency:
    From: Jaspersoft Studio Expression Editor 1.3.1 (com.jaspersoft.studio.expressioneditor.feature.feature.group 1.3.1)
    To: com.jaspersoft.studio.editor.jrexpressions [1.3.1]

    ResponderEliminar

 
Powered by Blogger